Rotate API Key (Revoke Old + Issue New)
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/api-keys/{id}/rotate \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"key_hint": "<string>",
"is_active": true,
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"key": "<string>"
}Admin - Settings
Rotate API Key (Revoke Old + Issue New)
POST
/
admin
/
api-keys
/
{id}
/
rotate
Rotate API Key (Revoke Old + Issue New)
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/api-keys/{id}/rotate \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"key_hint": "<string>",
"is_active": true,
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"key": "<string>"
}Authorizations
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Path Parameters
Resource ID
Response
200 - application/json
Success
⌘I